Pages: [1]
  Print  
Author Topic: Protocol/Backwards Compatability  (Read 3217 times)
Super Retardo
Nub


Cakes 0
Posts: 27


Not the brightest bulb on the strand...


« on: November 24, 2008, 11:42:17 pm »

Newer versions being able to play on older servers....

Obviously if protocol changes that are big enough to break functionality are needed, then break the functionality...but.....

Rationale:
Players play on lower ping/specific feature servers....they have their preferences--Server Loyalty.
But they don't always read the website, and won't always know when a new version is released (I'm a prime example of this).  Because it is a 300mb dl, they don't want to be constantly downloading large stuff....(aka: chewing up their "acceptable use" bandwidth allotment from lameass Comcast/RoadRunner/Insight/Generic Cable company that they could be using to dl porn through an obfuscated bit torrent connection)

Servers don't want to risk upgrading and losing a whole bunch of players with such a fragile player base right now....

The Old Farts clan is a prime example....they are huge in ET, and were pretty big in Q3...so they got into OA.  When the version changed past 0.7.1, they did not want to change their server.  It's now basically dead...(or was 2 months ago) with little activity on both the server and their web forums.  Now the =OF= clan, with a sizeable player base is basically removed from the OA community. 

It was just a thought....frag me in rage/vengeance later... :-)

(And how the hell do I post smileys on this thing lol?)

Logged
sago007
Posts a lot
*

Cakes 62
Posts: 1664


Open Arena Developer


WWW
« Reply #1 on: November 26, 2008, 07:58:50 am »

It is currently the goal to keep compatibility between 0.8.1, 0.8.2, 0.8.3 etc. but break it with 0.9.x and then keep compatibility between 0.9.0,0.9.1,0.9.2 etc.

It was also the hope to keep 0.8.0 and 0.8.1 compatible but it was not to be.

The problem is the size of the game. To keep compatible a client would need several copies of the same map. I guess that the game would be 400+ MB instead of ~300 MB if all maps and models had been preserved.

There are still lots of maps that needs tuning and until the game reaches a somewhat finished version (and that might never happen) it would be hard to guaranty backwards compatibility.

I completely agree with your rationale and think it would be a good idea. It is practical limitations that causes the break.
Logged

There are nothing offending in my posts.
Super Retardo
Nub


Cakes 0
Posts: 27


Not the brightest bulb on the strand...


« Reply #2 on: November 26, 2008, 10:43:36 pm »

cool....

Yeah i know this thing has come up before and people have posted about it all the time and people have wanted to slit each other's throats about it....

I just wanted to bring the strategy mindset back to the forefront...I'll be building a mod in my spare time and I want to be sure of the "requirements" environment (for lack of better words cuz I'm not being "required to do it) that I would be coding in...

Anyhow....good to know some specifics....

Logged
Pages: [1]
  Print  
 
Jump to: